GET/Expenses/{expenseId}
Returns one expense with its lines, payee, budget link, order association, payment state and any receipt
extraction still in progress. The expenseId comes from Expenses_GetExpenses. Requires event admin.
Path Parameters
| Field | Type | Required | Description |
|---|
| expenseId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| date | date-time| null | |
| fileId | uuid| null | |
| notes | string| null | |
| total | number | |
| isReimbursable | boolean | |
| isBudgeted | boolean | |
| payee | GetExpenseResponsePayeeInfo | |
| budget | GetExpenseResponseBudgetInfo | |
| order | GetExpenseResponseOrderInfo | |
| problems | string[]| null | |
| isComplete | boolean | |
| paymentState | string| null | |
| extraction | GetExpenseResponseExtractionInfo | |
| lines | GetExpenseResponseLineInfo[]| null | |
GetExpenseResponsePayeeInfo
| Field | Type | Description |
|---|
| type | string| null | |
| id | uuid| null | |
GetExpenseResponseBudgetInfo
| Field | Type | Description |
|---|
| proposalLineItemId | uuid | |
| proposalLineItemName | string| null | |
| proposalId | uuid | |
| proposalName | string| null | |
GetExpenseResponseOrderInfo
| Field | Type | Description |
|---|
| orderId | uuid | |
| orderName | string| null | |
| orderExpenseLineItemId | uuid | |
| Field | Type | Description |
|---|
| id | uuid | |
| state | string| null | |
GetExpenseResponseLineInfo
| Field | Type | Description |
|---|
| id | uuid | |
| index | integer | |
| description | string| null | |
| quantity | number | |
| unitAmount | number | |
| lineTotal | number | |